Name:           synce-kde
Summary:        Connection service application for Pocket PC handhelds
Version:        0.9.1
Release:        4%{?dist}
Group:          Applications/Communications
License:        MIT
URL:            http://www.synce.org/index.php/KDE
Source0:        http://downloads.sf.net/synce/synce-kde-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:         synce-kde-0.9.1-gcc43.patch

BuildRequires:  kdelibs3-devel, desktop-file-utils, libsynce-devel, librra-devel
BuildRequires:  librapi-devel, unshield-devel, dynamite-devel, orange-devel
BuildRequires:  gettext

Requires:       vdccm, synce-serial

%description
SynCE-KDE is a PC / Windows CE connection service application like ActiveSync.
It consists of three sub-projects: a full-featured KIOSlave for browsing the
Windows CE device (RAPIP), a panel applet for accessing and synchronizing the
device (RAKI), and a daemon which listens for device connections (VDCCM).

%package devel
Summary: Development libraries and header files for synce-kde
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files and link libraries for SynCE-KDE,
used to develop synchronization plugins.


%prep
%setup -q

%patch1 -p1 -b .gcc43


%build
unset QTDIR && . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-rpath --disable-debug
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Use the vdccm provided by the main synce package
rm -f $RPM_BUILD_ROOT%{_bindir}/vdccm

%{find_lang} %{name}

## Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  --vendor "fedora" \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --delete-original \
        --add-category Utility \
        --add-category Qt \
        --add-category KDE \
        $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/raki.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog NEWS TODO
%{_bindir}/*
%{_libdir}/kde3/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/apps/konqueror/servicemenus/cab_install.desktop
%{_datadir}/apps/raki
%{_datadir}/mimelnk/application/x-raki.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/*.desktop
%{_datadir}/doc/HTML/*/raki

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Apr 01 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.9.1-3
- fix rawhide build (#433997)
- BR: gettext
- fix SOURCE url

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-2
- Autorebuild for GCC 4.3

* Sun Mar 04 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.9.1-1
- initial package
